# Get topic info

## Get topic information

<mark style="color:blue;">`GET`</mark> `https://hedera-serverless-consensus.vercel.app/api/consensus/topic/:id`

Get detailed topic information.  There is currently a development effort in checking that a topic exists before attempting to fetch a receipt.<br>

#### Path Parameters

| Name | Type   | Description         |
| ---- | ------ | ------------------- |
| id   | string | The id of the topic |

#### Headers

| Name      | Type   | Description                                                        |
| --------- | ------ | ------------------------------------------------------------------ |
| x-api-key | string | The value set as **API\_SECRET\_KEY** in the client's environment. |

{% tabs %}
{% tab title="200 Topic information received" %}

```
{
    "data": {
        "topicMemo": "topic memo information",
        "runningHash": {
           ...
        },
        "sequenceNumber": 0,
        "expirationTime": {
            "seconds": 1606715551,
            "nanos": 990716007
        },
        "adminKey": {
           ...
        },
        "submitKey": {
           ...
        },
        "autoRenewPeriod": 7890000,
        "autoRenewAccount": null
    }

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trust.enterprises/rest-api/topics/get-topic-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
